Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ide
Class ExpectedValue

    java.lang.Object
      org.eclipse.amp.escape.ide.ExpectedValue

    public class ExpectedValue

extends java.lang.Object

The Class ExpectedValue.

Constructor Summary
`ExpectedValue(java.lang.String measure, java.lang.String min, java.lang.String max)` Instantiates a new expected value.

Method Summary
`java.lang.String` | `getMax()` Gets the max.
`java.lang.String` | `getMeasure()` Gets the measure.
`java.lang.String` | `getMin()` Gets the min.
`void` | `setMax(java.lang.String max)` Sets the max.
`void` | `setMeasure(java.lang.String measure)` Sets the measure.
`void` | `setMin(java.lang.String min)` Sets the min.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpectedValue

    public ExpectedValue(java.lang.String measure,
                         java.lang.String min,
                         java.lang.String max)

  Instantiates a new expected value.

  Parameters:
    `measure` - the measure
    `min` - the min
    `max` - the max

Method Detail

### getMeasure

    public java.lang.String getMeasure()

  Gets the measure.

  Returns:
    the measure

### setMeasure

    public void setMeasure(java.lang.String measure)

  Sets the measure.

  Parameters:
    `measure` - the new measure

### getMin

    public java.lang.String getMin()

  Gets the min.

  Returns:
    the min

### setMin

    public void setMin(java.lang.String min)

  Sets the min.

  Parameters:
    `min` - the new min

### getMax

    public java.lang.String getMax()

  Gets the max.

  Returns:
    the max

### setMax

    public void setMax(java.lang.String max)

  Sets the max.

  Parameters:
    `max` - the new max

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD